Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225627 - Merge Review: bsf
Summary: Merge Review: bsf
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:47 UTC by Nobody's working on this, feel free to take it
Modified: 2008-03-25 14:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-25 04:22:10 UTC
mwringe: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:47:37 UTC
Fedora Merge Review: bsf

http://cvs.fedora.redhat.com/viewcvs/devel/bsf/
Initial Owner: pcheung@redhat.com

Comment 2 Matt Wringe 2007-04-24 03:43:20 UTC
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
OK
* license field matches the actual license.
OK
* license is open source-compatible.
OK
* specfile name matches %{name}
OK
* verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
X link for Source0 is dead, and the version for the project does not exist on
the project's webpage.
* skim the summary and description for typos, etc.
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
OK
* license text included in package and marked with %doc
X do not include the install or build instructions
* keep old changelog entries; use judgement when removing (too old?
useless?)
OK
* packages meets FHS (http://www.pathname.com/fhs/)
OK
* rpmlint on <this package>.srpm gives no output

rpmlint bsf-2.3.0-11jpp.2.src.rpm 
W: bsf non-standard-group Development/Libraries/Java
OK, group warnings can be ignored

* changelog should be in a proper format:
OK
* Packager tag should not be used
OK
* Vendor tag should not be used
OK
* Distribution tag should not be used
OK
* use License and not Copyright 
OK
* Summary tag should not end in a period
OK
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK
* specfile is legible
 - this is largely subjective; use your judgement
* package successfully compiles and builds on at least x86
OK
* BuildRequires are proper
 - builds in mock will flush out problems here
Have not yet built in mock
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
OK
* summary should be a short and concise description of the package
OK
* description expands upon summary (don't include installation
instructions)
OK
* make sure description lines are <= 80 characters
OK
* specfile written in American English
OK
* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
OK
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
OK, not a gui app
* should the package contain a -devel sub-package?
OK, it shouldn't have one
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
OK
* don't use %makeinstall
OK
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
OK
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
OK
* consider using cp -p to preserve timestamps
OK
* split Requires(pre,post) into two separate lines
OK
* package should probably not be relocatable
OK
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
OK
* package should own all directories and files
X package needs to require jpackage-utils as this package owns /usr/share/java[doc]
* there should be no %files duplicates
X please get rid of the %ghost javadoc

* file permissions should be okay; %defattrs should be present
OK
* %clean should be present
OK
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
* run rpmlint on the binary RPMs

rpmlint /home/matt/topdir/RPMS/i386/bsf-2.3.0-11jpp.2.i386.rpm
W: bsf non-standard-group Development/Libraries/Java
W: bsf unstripped-binary-or-object /usr/lib/gcj/bsf/bsf-2.3.0.jar.so

rpmlint /home/matt/topdir/RPMS/i386/bsf-javadoc-2.3.0-11jpp.2.i386.rpm
W: bsf-javadoc non-standard-group Development/Documentation
OK, group warnings can be ignored


SHOULD:
* package should include license text in the package and mark it with %doc
OK
* package should build on i386
OK
* package should build in mock



Comment 3 Kevin Fenzi 2007-06-09 04:37:47 UTC
Matt: I assume you are reviewing this package? 
I will go ahead and set the fedora-review flag to ? here. 


Comment 4 Permaine Cheung 2007-07-06 21:26:45 UTC
(In reply to comment #2)
> MUST:
> * package is named appropriately
>  - match upstream tarball or project name
>  - try to match previous incarnations in other distributions/packagers for
> consistency
>  - specfile should be %{name}.spec
>  - non-numeric characters should only be used in Release (ie. cvs or
>    something)
>  - for non-numerics (pre-release, CVS snapshots, etc.), see
>    http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
>  - if case sensitivity is requested by upstream or you feel it should be
>    not just lowercase, do so; otherwise, use all lower case for the name
> OK
> * is it legal for Fedora to distribute this?
>  - OSI-approved
>  - not a kernel module
>  - not shareware
>  - is it covered by patents?
>  - it *probably* shouldn't be an emulator
>  - no binary firmware
> OK
> * license field matches the actual license.
> OK
> * license is open source-compatible.
> OK
> * specfile name matches %{name}
> OK
> * verify source and patches (md5sum matches upstream, know what the patches do)
>  - if upstream doesn't release source drops, put *clear* instructions on
>    how to generate the the source drop; ie. 
>   # svn export blah/tag blah
>   # tar cjf blah-version-src.tar.bz2 blah
> X link for Source0 is dead, and the version for the project does not exist on
> the project's webpage.
The project is at 2.4 currently and there's no archive of old sources. I asked
on their mailing list about a 2.3 source tar ball, but people on the mailing
list were not sure where 2.3 source tar ball can be fetched from.  
> * skim the summary and description for typos, etc.
> * correct buildroot
>  - should be:
>    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> OK
> * if %{?dist} is used, it should be in that form (note the ? and %
> locations)
> OK
> * license text included in package and marked with %doc
> X do not include the install or build instructions
Done
> * keep old changelog entries; use judgement when removing (too old?
> useless?)
> OK
> * packages meets FHS (http://www.pathname.com/fhs/)
> OK
> * rpmlint on <this package>.srpm gives no output
> 
> rpmlint bsf-2.3.0-11jpp.2.src.rpm 
> W: bsf non-standard-group Development/Libraries/Java
> OK, group warnings can be ignored
> 
> * changelog should be in a proper format:
> OK
> * Packager tag should not be used
> OK
> * Vendor tag should not be used
> OK
> * Distribution tag should not be used
> OK
> * use License and not Copyright 
> OK
> * Summary tag should not end in a period
> OK
> * if possible, replace PreReq with Requires(pre) and/or Requires(post)
> OK
> * specfile is legible
>  - this is largely subjective; use your judgement
> * package successfully compiles and builds on at least x86
> OK
> * BuildRequires are proper
>  - builds in mock will flush out problems here
> Have not yet built in mock
>  - the following packages don't need to be listed in BuildRequires:
>    bash
>    bzip2
>    coreutils
>    cpio
>    diffutils
>    fedora-release (and/or redhat-release)
>    gcc
>    gcc-c++
>    gzip
>    make
>    patch
>    perl
>    redhat-rpm-config
>    rpm-build
>    sed
>    tar
>    unzip
>    which
> OK
> * summary should be a short and concise description of the package
> OK
> * description expands upon summary (don't include installation
> instructions)
> OK
> * make sure description lines are <= 80 characters
> OK
> * specfile written in American English
> OK
> * make a -doc sub-package if necessary
>  - see
>   
>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
> OK
> * packages including libraries should exclude static libraries if possible
> * don't use rpath
> * config files should usually be marked with %config(noreplace)
> * GUI apps should contain .desktop files
> OK, not a gui app
> * should the package contain a -devel sub-package?
> OK, it shouldn't have one
> * use macros appropriately and consistently
>  - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
> OK
> * don't use %makeinstall
> OK
> * install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
> OK
> * locale data handling correct (find_lang)
>  - if translations included, add BR: gettext and use %find_lang %{name} at the
>    end of %install
> OK
> * consider using cp -p to preserve timestamps
> OK
> * split Requires(pre,post) into two separate lines
> OK
> * package should probably not be relocatable
> OK
> * package contains code
>  - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
>  - in general, there should be no offensive content
> OK
> * package should own all directories and files
> X package needs to require jpackage-utils as this package owns
/usr/share/java[doc]
Done
> * there should be no %files duplicates
> X please get rid of the %ghost javadoc
Done
> 
> * file permissions should be okay; %defattrs should be present
> OK
> * %clean should be present
> OK
> * %doc files should not affect runtime
> * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
> * verify the final provides and requires of the binary RPMs
> * run rpmlint on the binary RPMs
> 
> rpmlint /home/matt/topdir/RPMS/i386/bsf-2.3.0-11jpp.2.i386.rpm
> W: bsf non-standard-group Development/Libraries/Java
> W: bsf unstripped-binary-or-object /usr/lib/gcj/bsf/bsf-2.3.0.jar.so
> 
> rpmlint /home/matt/topdir/RPMS/i386/bsf-javadoc-2.3.0-11jpp.2.i386.rpm
> W: bsf-javadoc non-standard-group Development/Documentation
> OK, group warnings can be ignored
> 
> 
> SHOULD:
> * package should include license text in the package and mark it with %doc
> OK
> * package should build on i386
> OK
> * package should build in mock
> 
> 

New spec file in cvs.

Comment 5 Kevin Fenzi 2008-03-22 01:11:33 UTC
Matt: Any chance you can check over the changes in CVS and move this review
forward? 

Comment 6 Matt Wringe 2008-03-25 04:22:10 UTC
I was hoping there would be some resolution to the issue listed above:
"The project is at 2.4 currently and there's no archive of old sources. I asked
on their mailing list about a 2.3 source tar ball, but people on the mailing
list were not sure where 2.3 source tar ball can be fetched from."

This is the only issue that I still have with the package. Since there is no
guarantee that any project will remain on its webpage indefinitely I will pass
this package through.

Comment 7 Permaine Cheung 2008-03-25 12:43:43 UTC
The bsf-2.4 is available from jpackage, I can upgrade to that and then review
that instead, is that ok, Matt?

Comment 8 Matt Wringe 2008-03-25 14:33:25 UTC
(In reply to comment #7)
> The bsf-2.4 is available from jpackage, I can upgrade to that and then review
> that instead, is that ok, Matt?
Since it would just be an update to this package I don't think it needs another
review, but it probably should be updated since it will then have a valid
location where it can be found on the project website.





Note You need to log in before you can comment on or make changes to this bug.